{
    "objects": [
        {
            "attributes": {
                "description": "This PostgreSQL dashboard shows the most important database related metrics.\n\n",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"panelRefName\": \"panel_0\", \"gridData\": {\"i\": \"1\", \"h\": 13, \"x\": 0, \"w\": 24, \"y\": 6}, \"panelIndex\": \"1\", \"embeddableConfig\": {\"title\": \"Query Latency\"}, \"version\": \"7.3.1\", \"title\": \"Query Latency\"}, {\"panelRefName\": \"panel_1\", \"gridData\": {\"i\": \"2\", \"h\": 12, \"x\": 24, \"w\": 24, \"y\": 0}, \"panelIndex\": \"2\", \"embeddableConfig\": {\"title\": \"Database Transactions\"}, \"version\": \"7.3.1\", \"title\": \"Database Transactions\"}, {\"panelRefName\": \"panel_2\", \"gridData\": {\"i\": \"3\", \"h\": 10, \"x\": 0, \"w\": 24, \"y\": 19}, \"panelIndex\": \"3\", \"embeddableConfig\": {\"title\": \"Fileblock IO\"}, \"version\": \"7.3.1\", \"title\": \"Fileblock IO\"}, {\"panelRefName\": \"panel_3\", \"gridData\": {\"i\": \"4\", \"h\": 6, \"x\": 10, \"w\": 14, \"y\": 0}, \"panelIndex\": \"4\", \"embeddableConfig\": {\"title\": \"Rows Fetched/Returned\"}, \"version\": \"7.3.1\", \"title\": \"Rows Fetched/Returned\"}, {\"panelRefName\": \"panel_4\", \"gridData\": {\"i\": \"5\", \"h\": 9, \"x\": 24, \"w\": 24, \"y\": 22}, \"panelIndex\": \"5\", \"embeddableConfig\": {\"title\": \"Rows Inserted/Deleted/Updated\"}, \"version\": \"7.3.1\", \"title\": \"Rows Inserted/Deleted/Updated\"}, {\"panelRefName\": \"panel_5\", \"gridData\": {\"i\": \"6\", \"h\": 11, \"x\": 0, \"w\": 24, \"y\": 29}, \"panelIndex\": \"6\", \"embeddableConfig\": {\"title\": \"Conflict/Deadlock Rates\"}, \"version\": \"7.3.1\", \"title\": \"Conflict/Deadlock Rates\"}, {\"panelRefName\": \"panel_6\", \"gridData\": {\"i\": \"7\", \"h\": 6, \"x\": 0, \"w\": 10, \"y\": 0}, \"panelIndex\": \"7\", \"embeddableConfig\": {\"title\": \"Database Filter\"}, \"version\": \"7.3.1\", \"title\": \"Database Filter\"}, {\"panelRefName\": \"panel_7\", \"gridData\": {\"i\": \"8\", \"h\": 10, \"x\": 24, \"w\": 24, \"y\": 12}, \"panelIndex\": \"8\", \"embeddableConfig\": {\"title\": \"Top Queries\"}, \"version\": \"7.3.1\", \"title\": \"Top Queries\"}, {\"panelRefName\": \"panel_8\", \"gridData\": {\"i\": \"9\", \"h\": 9, \"x\": 24, \"w\": 12, \"y\": 31}, \"panelIndex\": \"9\", \"embeddableConfig\": {\"title\": \"Local block cache stats\"}, \"version\": \"7.3.1\", \"title\": \"Local block cache stats\"}, {\"panelRefName\": \"panel_9\", \"gridData\": {\"i\": \"10\", \"h\": 9, \"x\": 36, \"w\": 12, \"y\": 31}, \"panelIndex\": \"10\", \"embeddableConfig\": {\"title\": \"Shared block cache stats\"}, \"version\": \"7.3.1\", \"title\": \"Shared block cache stats\"}]",
                "timeRestore": false,
                "title": "[Metricbeat PostgreSQL] Database Overview",
                "version": 1
            },
            "id": "4288b790-b79f-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "dashboard": "7.3.0"
            },
            "references": [
                {
                    "id": "fbfa67e0-b796-11e9-a579-f5c0a5d81340",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "d733c630-b797-11e9-a579-f5c0a5d81340",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "570973a0-b798-11e9-a579-f5c0a5d81340",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "66d67200-b799-11e9-a579-f5c0a5d81340",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "20931ef0-b79a-11e9-a579-f5c0a5d81340",
                    "name": "panel_4",
                    "type": "visualization"
                },
                {
                    "id": "960ecdf0-b79a-11e9-a579-f5c0a5d81340",
                    "name": "panel_5",
                    "type": "visualization"
                },
                {
                    "id": "98e6b0a0-b79b-11e9-a579-f5c0a5d81340",
                    "name": "panel_6",
                    "type": "visualization"
                },
                {
                    "id": "147875b0-b903-11e9-a579-f5c0a5d81340",
                    "name": "panel_7",
                    "type": "visualization"
                },
                {
                    "id": "0cb65170-b909-11e9-a579-f5c0a5d81340",
                    "name": "panel_8",
                    "type": "visualization"
                },
                {
                    "id": "e2b28ce0-b908-11e9-a579-f5c0a5d81340",
                    "name": "panel_9",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2020-02-06T12:05:20.696Z",
            "version": "WzQzNTYsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Query Latency [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": \"0.1\", \"formatter\": \"number\", \"terms_size\": \"10\", \"terms_order_by\": \"919c7c80-b796-11e9-8ed3-ef1959e6b366\", \"type\": \"timeseries\", \"stacked\": \"none\", \"split_color_mode\": \"rainbow\", \"value_template\": \"{{value}}\", \"color\": \"rgba(0,156,224,1)\", \"line_width\": 2, \"split_mode\": \"terms\", \"filter\": {\"language\": \"kuery\", \"query\": \"not postgresql.statement.query.text : (\\\"BEGIN;\\\" or \\\"begin\\\" or \\\"commit\\\" or \\\"end\\\" or \\\"END;\\\" or \\\"SELECT * FROM pg_stat_statements\\\" or \\\"SELECT * FROM pg_stat_database\\\" or \\\"SELECT * FROM pg_stat_bgwriter\\\" or \\\"SELECT * FROM pg_stat_activity\\\")\"}, \"chart_type\": \"line\", \"point_size\": 0, \"id\": \"919c5571-b796-11e9-8ed3-ef1959e6b366\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"919c7c80-b796-11e9-8ed3-ef1959e6b366\", \"field\": \"postgresql.statement.query.time.total.ms\", \"type\": \"max\"}, {\"id\": \"9e553c60-b79f-11e9-9029-a9d302b79ec2\", \"field\": \"919c7c80-b796-11e9-8ed3-ef1959e6b366\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"a58b6590-b79f-11e9-9029-a9d302b79ec2\", \"field\": \"9e553c60-b79f-11e9-9029-a9d302b79ec2\", \"type\": \"positive_only\", \"unit\": \"\"}], \"terms_field\": \"postgresql.statement.query.text\", \"label\": \"Query Latency\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"isModelInvalid\": false, \"filter\": {\"language\": \"kuery\", \"query\": \"\"}, \"id\": \"919c5570-b796-11e9-8ed3-ef1959e6b366\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Query Latency [Metricbeat PostgreSQL] ECS\"}"
            },
            "id": "fbfa67e0-b796-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-06T11:59:01.903Z",
            "version": "WzQzNTAsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Database Transactions [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"type\": \"timeseries\", \"stacked\": \"none\", \"color\": \"rgba(104,188,0,1)\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"7af01591-b797-11e9-8816-2992f1df7a62\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"7af01592-b797-11e9-8816-2992f1df7a62\", \"field\": \"postgresql.database.transactions.commit\", \"type\": \"max\"}, {\"id\": \"7af01594-b797-11e9-8816-2992f1df7a62\", \"field\": \"7af01592-b797-11e9-8816-2992f1df7a62\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"7af01593-b797-11e9-8816-2992f1df7a62\", \"field\": \"7af01594-b797-11e9-8816-2992f1df7a62\", \"type\": \"positive_only\"}], \"label\": \"committed\"}, {\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"type\": \"timeseries\", \"stacked\": \"none\", \"color\": \"rgba(254,146,0,1)\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"7af01595-b797-11e9-8816-2992f1df7a62\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"7af01596-b797-11e9-8816-2992f1df7a62\", \"field\": \"postgresql.database.transactions.rollback\", \"type\": \"max\"}, {\"id\": \"7af01598-b797-11e9-8816-2992f1df7a62\", \"field\": \"7af01596-b797-11e9-8816-2992f1df7a62\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"7af01597-b797-11e9-8816-2992f1df7a62\", \"field\": \"7af01598-b797-11e9-8816-2992f1df7a62\", \"type\": \"positive_only\"}], \"label\": \"rolled back\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"isModelInvalid\": false, \"filter\": {\"language\": \"kuery\", \"query\": \"\"}, \"id\": \"7af01590-b797-11e9-8816-2992f1df7a62\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Database Transactions [Metricbeat PostgreSQL] ECS\"}"
            },
            "id": "d733c630-b797-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-05T15:49:18.236Z",
            "version": "WzQzMTIsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Fileblock IO Rate [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}} ms\", \"type\": \"timeseries\", \"stacked\": \"none\", \"color\": \"rgba(252,196,0,1)\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"fbc27281-b797-11e9-b46b-4f80f005c4a5\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"fbc27282-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"postgresql.database.blocks.time.read.ms\", \"type\": \"max\"}, {\"id\": \"fbc27284-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"fbc27282-b797-11e9-b46b-4f80f005c4a5\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"fbc27283-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"fbc27284-b797-11e9-b46b-4f80f005c4a5\", \"type\": \"positive_only\"}], \"label\": \"read\"}, {\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}} ms\", \"type\": \"timeseries\", \"stacked\": \"none\", \"color\": \"rgba(123,100,255,1)\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"fbc27285-b797-11e9-b46b-4f80f005c4a5\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"fbc27286-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"postgresql.database.blocks.time.write.ms\", \"type\": \"max\"}, {\"id\": \"fbc27288-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"fbc27286-b797-11e9-b46b-4f80f005c4a5\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"fbc27287-b797-11e9-b46b-4f80f005c4a5\", \"field\": \"fbc27288-b797-11e9-b46b-4f80f005c4a5\", \"type\": \"positive_only\"}], \"label\": \"write\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"isModelInvalid\": false, \"filter\": {\"language\": \"kuery\", \"query\": \"\"}, \"id\": \"fbc27280-b797-11e9-b46b-4f80f005c4a5\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Fileblock IO Rate [Metricbeat PostgreSQL] ECS\"}"
            },
            "id": "570973a0-b798-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-05T19:01:54.390Z",
            "version": "WzQzMjQsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Rows Fetched/Returned [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"index_pattern\": \"metricbeat-*\", \"series\": [{\"fill\": 0, \"formatter\": \"'0.0 a'\", \"value_template\": \"{{value}}\", \"type\": \"timeseries\", \"stacked\": \"none\", \"color\": \"rgba(164,221,0,1)\", \"line_width\": 2, \"split_mode\": \"everything\", \"filter\": {\"language\": \"kuery\", \"query\": \"\"}, \"chart_type\": \"line\", \"point_size\": 0, \"id\": \"a6981ed1-b798-11e9-a598-8baa89257193\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"percentiles\": [{\"id\": \"b507cc90-b798-11e9-af2f-3be5a91b64a6\", \"shade\": 0.2, \"mode\": \"line\", \"value\": 50}], \"id\": \"a6981ed2-b798-11e9-a598-8baa89257193\", \"field\": \"postgresql.database.rows.returned\", \"type\": \"max\"}, {\"id\": \"ed6f33d0-b8ff-11e9-8645-31d6a6d28728\", \"field\": \"a6981ed2-b798-11e9-a598-8baa89257193\", \"type\": \"derivative\", \"unit\": \"1\"}, {\"id\": \"f58b9e50-b8ff-11e9-8645-31d6a6d28728\", \"field\": \"ed6f33d0-b8ff-11e9-8645-31d6a6d28728\", \"type\": \"positive_only\", \"unit\": \"\"}], \"label\": \"Rows Returned\"}, {\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"type\": \"timeseries\", \"stacked\": \"none\", \"color\": \"rgba(0,156,224,1)\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"a6981ed3-b798-11e9-a598-8baa89257193\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"a6981ed4-b798-11e9-a598-8baa89257193\", \"field\": \"postgresql.database.rows.fetched\", \"type\": \"max\"}, {\"id\": \"064737e0-b900-11e9-8645-31d6a6d28728\", \"field\": \"a6981ed4-b798-11e9-a598-8baa89257193\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"0fea1b50-b900-11e9-8645-31d6a6d28728\", \"field\": \"064737e0-b900-11e9-8645-31d6a6d28728\", \"type\": \"positive_only\", \"unit\": \"\"}], \"label\": \"Rows Fetched\"}], \"isModelInvalid\": false, \"background_color_rules\": [{\"id\": \"bec42b70-b798-11e9-af2f-3be5a91b64a6\"}], \"gauge_style\": \"half\", \"time_field\": \"@timestamp\", \"gauge_color_rules\": [{\"id\": \"ada89790-b798-11e9-af2f-3be5a91b64a6\"}], \"gauge_width\": 10, \"axis_scale\": \"normal\", \"gauge_inner_width\": 10, \"bar_color_rules\": [{\"id\": \"cc80b5d0-b798-11e9-af2f-3be5a91b64a6\"}], \"filter\": {\"language\": \"kuery\", \"query\": \"\"}, \"interval\": \"auto\", \"id\": \"a6981ed0-b798-11e9-a598-8baa89257193\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"type\": \"timeseries\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Rows Fetched/Returned [Metricbeat PostgreSQL] ECS\"}"
            },
            "id": "66d67200-b799-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-06T11:56:03.315Z",
            "version": "WzQzNDYsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Rows Inserted/Deleted/Updated [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}/s\", \"stacked\": \"none\", \"color\": \"#3185FC\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"fc474801-b799-11e9-bfa6-bd2fe13c0445\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"fc474802-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"postgresql.database.rows.inserted\", \"type\": \"max\"}, {\"id\": \"fc474804-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc474802-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"fc474803-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc474804-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"positive_only\"}], \"label\": \"inserted\"}, {\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}/s\", \"stacked\": \"none\", \"color\": \"#DB1374\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"fc474805-b799-11e9-bfa6-bd2fe13c0445\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"fc474806-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"postgresql.database.rows.deleted\", \"type\": \"max\"}, {\"id\": \"fc474808-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc474806-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"fc474807-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc474808-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"positive_only\"}], \"label\": \"deleted\"}, {\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}/s\", \"stacked\": \"none\", \"color\": \"#00B3A4\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"fc476f10-b799-11e9-bfa6-bd2fe13c0445\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"fc476f11-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"postgresql.database.rows.updated\", \"type\": \"max\"}, {\"id\": \"fc476f13-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc476f11-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"fc476f12-b799-11e9-bfa6-bd2fe13c0445\", \"field\": \"fc476f13-b799-11e9-bfa6-bd2fe13c0445\", \"type\": \"positive_only\"}], \"label\": \"updated\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"isModelInvalid\": false, \"filter\": {\"language\": \"kuery\", \"query\": \"\"}, \"id\": \"fc474800-b799-11e9-bfa6-bd2fe13c0445\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Rows Inserted/Deleted/Updated [Metricbeat PostgreSQL] ECS\"}"
            },
            "id": "20931ef0-b79a-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-06T12:01:45.205Z",
            "version": "WzQzNTMsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Conflict/Deadlock Rates [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"type\": \"timeseries\", \"stacked\": \"none\", \"color\": \"rgba(12,121,125,1)\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"6c90db31-b79a-11e9-a8f0-d7983cd3d871\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"6c90db32-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"postgresql.database.conflicts\", \"type\": \"avg\"}, {\"id\": \"6c90db34-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"6c90db32-b79a-11e9-a8f0-d7983cd3d871\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"6c90db33-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"6c90db34-b79a-11e9-a8f0-d7983cd3d871\", \"type\": \"positive_only\"}], \"label\": \"conflicts\"}, {\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"type\": \"timeseries\", \"stacked\": \"none\", \"color\": \"rgba(244,78,59,1)\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"6c90db35-b79a-11e9-a8f0-d7983cd3d871\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"6c90db36-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"postgresql.database.deadlocks\", \"type\": \"avg\"}, {\"id\": \"6c90db38-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"6c90db36-b79a-11e9-a8f0-d7983cd3d871\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"6c90db37-b79a-11e9-a8f0-d7983cd3d871\", \"field\": \"6c90db38-b79a-11e9-a8f0-d7983cd3d871\", \"type\": \"positive_only\"}], \"label\": \"deadlocks\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"isModelInvalid\": false, \"filter\": {\"language\": \"kuery\", \"query\": \"\"}, \"id\": \"6c90db30-b79a-11e9-a8f0-d7983cd3d871\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Conflict/Deadlock Rates [Metricbeat PostgreSQL] ECS\"}"
            },
            "id": "960ecdf0-b79a-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-05T15:46:52.411Z",
            "version": "WzQzMDgsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Database Filter [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"useTimeFilter\": true, \"controls\": [{\"parent\": \"\", \"id\": \"1549397251041\", \"indexPatternRefName\": \"control_0_index_pattern\", \"type\": \"list\", \"fieldName\": \"postgresql.database.name\", \"options\": {\"order\": \"desc\", \"type\": \"terms\", \"dynamicOptions\": true, \"multiselect\": false, \"size\": 5}, \"label\": \"database\"}], \"updateFiltersOnChange\": true, \"pinFilters\": false}, \"aggs\": [], \"type\": \"input_control_vis\", \"title\": \"Database Filter [Metricbeat PostgreSQL] ECS\"}"
            },
            "id": "98e6b0a0-b79b-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "control_0_index_pattern",
                    "type": "index-pattern"
                }
            ],
            "type": "visualization",
            "updated_at": "2020-01-22T13:56:51.268Z",
            "version": "WzQwMjgsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Query Calls Count [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"isModelInvalid\": false, \"type\": \"top_n\", \"background_color_rules\": [{\"id\": \"d3cc2560-484b-11ea-a805-d7a3b4bc3300\"}], \"index_pattern\": \"metricbeat-*\", \"time_range_mode\": \"entire_time_range\", \"filter\": {\"language\": \"kuery\", \"query\": \"\"}, \"bar_color_rules\": [{\"id\": \"6da7d6e0-b902-11e9-9f00-7b1f283b2282\"}], \"time_field\": \"@timestamp\", \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"pivot_type\": \"string\", \"pivot_id\": \"postgresql.statement.query.text\", \"series\": [{\"fill\": 0, \"formatter\": \"'0a'\", \"value_template\": \"{{value}}\", \"terms_order_by\": \"2bc5fea2-b902-11e9-8b8c-f99be54b4271\", \"type\": \"timeseries\", \"stacked\": \"none\", \"terms_size\": \"20\", \"color\": \"rgba(22,165,165,1)\", \"line_width\": 2, \"split_mode\": \"terms\", \"filter\": {\"language\": \"kuery\", \"query\": \"not postgresql.statement.query.text : (\\\"BEGIN;\\\" or \\\"begin\\\" or \\\"commit\\\" or \\\"end\\\" or \\\"END;\\\" or \\\"SELECT * FROM pg_stat_statements\\\" or \\\"SELECT * FROM pg_stat_database\\\" or \\\"SELECT * FROM pg_stat_bgwriter\\\" or \\\"SELECT * FROM pg_stat_activity\\\")\"}, \"chart_type\": \"line\", \"point_size\": 0, \"id\": \"2bc5fea1-b902-11e9-8b8c-f99be54b4271\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"2bc5fea2-b902-11e9-8b8c-f99be54b4271\", \"field\": \"postgresql.statement.query.calls\", \"type\": \"avg\"}], \"terms_field\": \"postgresql.statement.query.text\", \"label\": \"Number of times the query has been run\"}], \"gauge_style\": \"half\", \"gauge_color_rules\": [{\"id\": \"d22727f0-484b-11ea-a805-d7a3b4bc3300\"}], \"gauge_width\": 10, \"axis_scale\": \"normal\", \"axis_position\": \"left\", \"interval\": \"auto\", \"id\": \"2bc5fea0-b902-11e9-8b8c-f99be54b4271\", \"gauge_inner_width\": 10, \"show_legend\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Query Calls Count [Metricbeat PostgreSQL] ECS\"}"
            },
            "id": "147875b0-b903-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-02-06T12:04:42.628Z",
            "version": "WzQzNTUsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Local block cache stats [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"stacked\": \"none\", \"color\": \"#3185FC\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"8f49dbd1-b908-11e9-a256-6d0ec934f3f9\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"8f49dbd2-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"postgresql.statement.query.memory.local.hit\", \"type\": \"max\"}, {\"id\": \"8f49dbd4-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd2-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"8f49dbd3-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd2-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"positive_only\", \"unit\": \"\"}], \"label\": \"cache hits\"}, {\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"stacked\": \"none\", \"color\": \"#DB1374\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"8f49dbd5-b908-11e9-a256-6d0ec934f3f9\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"8f49dbd6-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"postgresql.statement.query.memory.local.read\", \"type\": \"max\"}, {\"id\": \"8f49dbd8-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd6-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"8f49dbd7-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd6-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"positive_only\", \"unit\": \"\"}], \"label\": \"cache read\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"filter\": {\"language\": \"kuery\", \"query\": \"\"}, \"id\": \"8f49dbd0-b908-11e9-a256-6d0ec934f3f9\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Local block cache stats [Metricbeat PostgreSQL] ECS\"}"
            },
            "id": "0cb65170-b909-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-01-22T13:56:51.268Z",
            "version": "WzQwMzAsMV0="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "title": "Shared block cache stats [Metricbeat PostgreSQL] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"axis_formatter\": \"number\", \"interval\": \"auto\", \"series\": [{\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"stacked\": \"none\", \"color\": \"#3185FC\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"8f49dbd1-b908-11e9-a256-6d0ec934f3f9\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"8f49dbd2-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"postgresql.statement.query.memory.shared.hit\", \"type\": \"max\"}, {\"id\": \"8f49dbd4-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd2-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"8f49dbd3-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd4-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"positive_only\"}], \"label\": \"cache hits\"}, {\"fill\": 0, \"formatter\": \"number\", \"value_template\": \"{{value}}\", \"stacked\": \"none\", \"color\": \"#DB1374\", \"line_width\": 2, \"split_mode\": \"everything\", \"point_size\": 0, \"chart_type\": \"line\", \"id\": \"8f49dbd5-b908-11e9-a256-6d0ec934f3f9\", \"axis_position\": \"right\", \"separate_axis\": 0, \"metrics\": [{\"id\": \"8f49dbd6-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"postgresql.statement.query.memory.shared.read\", \"type\": \"max\"}, {\"id\": \"8f49dbd8-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd6-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"derivative\", \"unit\": \"1s\"}, {\"id\": \"8f49dbd7-b908-11e9-a256-6d0ec934f3f9\", \"field\": \"8f49dbd8-b908-11e9-a256-6d0ec934f3f9\", \"type\": \"positive_only\"}], \"label\": \"cache read\"}], \"type\": \"timeseries\", \"index_pattern\": \"metricbeat-*\", \"time_field\": \"@timestamp\", \"axis_scale\": \"normal\", \"filter\": {\"language\": \"kuery\", \"query\": \"\"}, \"id\": \"8f49dbd0-b908-11e9-a256-6d0ec934f3f9\", \"axis_position\": \"left\", \"show_legend\": 1, \"default_index_pattern\": \"metricbeat-*\", \"show_grid\": 1, \"default_timefield\": \"@timestamp\"}, \"aggs\": [], \"type\": \"metrics\", \"title\": \"Shared block cache stats [Metricbeat PostgreSQL] ECS\"}"
            },
            "id": "e2b28ce0-b908-11e9-a579-f5c0a5d81340",
            "migrationVersion": {
                "visualization": "7.4.2"
            },
            "references": [],
            "type": "visualization",
            "updated_at": "2020-01-22T13:56:51.268Z",
            "version": "WzQwMzEsMV0="
        }
    ],
    "version": "7.3.1"
}